=== debian/control ===
Source: ros-foxy-realsense-hardware-interface
Section: misc
Priority: optional
Maintainer: masaya <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgtk-3-dev, libpoco-dev, libssl-dev, libusb-1.0-0-dev, pkg-config, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-controller-interface, ros-foxy-cv-bridge, ros-foxy-diagnostic-msgs, ros-foxy-hardware-interface, ros-foxy-image-transport, ros-foxy-librealsense2, ros-foxy-nav-msgs, ros-foxy-ouxt-lint-common, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-realtime-tools, ros-foxy-ros2-control, ros-foxy-sensor-msgs, ros-foxy-tf2-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-realsense-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgtk-3-dev, libpoco-dev, libssl-dev, libusb-1.0-0-dev, pkg-config, ros-foxy-controller-interface, ros-foxy-cv-bridge, ros-foxy-diagnostic-msgs, ros-foxy-hardware-interface, ros-foxy-image-transport, ros-foxy-librealsense2, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-realtime-tools, ros-foxy-ros2-control, ros-foxy-rviz2, ros-foxy-sensor-msgs, ros-foxy-tf2-msgs, ros-foxy-ros-workspace
Description: ros2 hardware interface for realsense camera
